Documentation
¶
Index ¶
- Constants
- type ListEvents
- type ListEventsHandler
- type ListEventsHandlerFunc
- type ListEventsInternalServerError
- type ListEventsOK
- type ListEventsParams
- type ListEventsURL
- func (o *ListEventsURL) Build() (*url.URL, error)
- func (o *ListEventsURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *ListEventsURL) Must(u *url.URL, err error) *url.URL
- func (o *ListEventsURL) SetBasePath(bp string)
- func (o *ListEventsURL) String() string
- func (o *ListEventsURL) StringFull(scheme, host string) string
- func (o *ListEventsURL) WithBasePath(bp string) *ListEventsURL
Constants ¶
const ListEventsInternalServerErrorCode int = 500
ListEventsInternalServerErrorCode is the HTTP code returned for type ListEventsInternalServerError
const ListEventsOKCode int = 200
ListEventsOKCode is the HTTP code returned for type ListEventsOK
Variables ¶
This section is empty.
Functions ¶
This section is empty.
Types ¶
type ListEvents ¶
type ListEvents struct {
Context *middleware.Context
Handler ListEventsHandler
}
ListEvents swagger:route GET /events/{entity_id} events listEvents
Lists events for an entity_id
func NewListEvents ¶
func NewListEvents(ctx *middleware.Context, handler ListEventsHandler) *ListEvents
NewListEvents creates a new http.Handler for the list events operation
func (*ListEvents) ServeHTTP ¶
func (o *ListEvents) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type ListEventsHandler ¶
type ListEventsHandler interface {
Handle(ListEventsParams) middleware.Responder
}
ListEventsHandler interface for that can handle valid list events params
type ListEventsHandlerFunc ¶
type ListEventsHandlerFunc func(ListEventsParams) middleware.Responder
ListEventsHandlerFunc turns a function with the right signature into a list events handler
func (ListEventsHandlerFunc) Handle ¶
func (fn ListEventsHandlerFunc) Handle(params ListEventsParams) middleware.Responder
Handle executing the request and returning a response
type ListEventsInternalServerError ¶
type ListEventsInternalServerError struct {
/*
In: Body
*/
Payload *models.Error `json:"body,omitempty"`
}
ListEventsInternalServerError Error.
swagger:response listEventsInternalServerError
func NewListEventsInternalServerError ¶
func NewListEventsInternalServerError() *ListEventsInternalServerError
NewListEventsInternalServerError creates ListEventsInternalServerError with default headers values
func (*ListEventsInternalServerError) SetPayload ¶
func (o *ListEventsInternalServerError) SetPayload(payload *models.Error)
SetPayload sets the payload to the list events internal server error response
func (*ListEventsInternalServerError) WithPayload ¶
func (o *ListEventsInternalServerError) WithPayload(payload *models.Error) *ListEventsInternalServerError
WithPayload adds the payload to the list events internal server error response
func (*ListEventsInternalServerError) WriteResponse ¶
func (o *ListEventsInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type ListEventsOK ¶
ListEventsOK Success.
swagger:response listEventsOK
func NewListEventsOK ¶
func NewListEventsOK() *ListEventsOK
NewListEventsOK creates ListEventsOK with default headers values
func (*ListEventsOK) SetPayload ¶
func (o *ListEventsOK) SetPayload(payload models.EventList)
SetPayload sets the payload to the list events o k response
func (*ListEventsOK) WithPayload ¶
func (o *ListEventsOK) WithPayload(payload models.EventList) *ListEventsOK
WithPayload adds the payload to the list events o k response
func (*ListEventsOK) WriteResponse ¶
func (o *ListEventsOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type ListEventsParams ¶
type ListEventsParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*
Required: true
In: path
*/
EntityID strfmt.UUID
}
ListEventsParams contains all the bound params for the list events operation typically these are obtained from a http.Request
swagger:parameters ListEvents
func NewListEventsParams ¶
func NewListEventsParams() ListEventsParams
NewListEventsParams creates a new ListEventsParams object no default values defined in spec.
func (*ListEventsParams) BindRequest ¶
func (o *ListEventsParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewListEventsParams() beforehand.
type ListEventsURL ¶
ListEventsURL generates an URL for the list events operation
func (*ListEventsURL) Build ¶
func (o *ListEventsURL) Build() (*url.URL, error)
Build a url path and query string
func (*ListEventsURL) BuildFull ¶
func (o *ListEventsURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*ListEventsURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*ListEventsURL) SetBasePath ¶
func (o *ListEventsURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*ListEventsURL) String ¶
func (o *ListEventsURL) String() string
String returns the string representation of the path with query string
func (*ListEventsURL) StringFull ¶
func (o *ListEventsURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*ListEventsURL) WithBasePath ¶
func (o *ListEventsURL) WithBasePath(bp string) *ListEventsURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string